DCMTK - Feature #1101
Status: New Start date: 2024-01-12
Assignee: % Done: 0%
Category: Configuration Estimated time: 0:00 hour
Target version: 3.7.1+

Module: CMake Compiler:

Operating System:

Description

Currently, DCMTK's CMake build system allows for specifying a general installation path (CMAKE_INSTALL_PREFIX) that is
prepended to all installation sub-paths, e.g. CMAKE_INSTALL_INCLUDEDIR, CMAKE_INSTALL_DATAROOTDIR and
CMAKE_INSTALL_BINDIR. It is not possible to install the various components in different paths, e.g. binaries in "C:\Program
Files\DCMTK\bin" and configuration files in "C:\Users\dicom\DCMTK\etc", because the respective CMake variables are not
configurable (at least not on the user interface). However, this would e.g. also be useful to generalize the recently introduced CMake
option "DCMTK_USE_WIN32_PROGRAMDATA".

Using GNU Autoconf (on non-Windows systems), this is already possible, because all installation paths can be specified individually
(having reasonable defaults, of course).

History

#1 - 2024-03-06 14:25 - JO6rg Riesmeier

This new feature should also make it possible to remove the version number suffix from various paths, e.g. install configuration files in
"<PREFIX>/etc/demtk” instead of "<PREFIX>/etc/dcmtk-3.6.8" if the user changes this path.

#2 - 2024-03-06 14:26 - Jorg Riesmeier

- Target version changed from 3.7.1+ to 3.6.9

#3 - 2024-06-26 10:38 - Jorg Riesmeier

- Target version changed from 3.6.9 to 3.7.1+
